javax.security.auth.message.config

## Interface AuthConfigFactory.RegistrationContext

- Enclosing class:
    AuthConfigFactory

      public static interface AuthConfigFactory.RegistrationContext

  Represents the layer identifier, application context identifier, and description components of an AuthConfigProvider registration at the factory.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAppContext()` Get the application context identifier from the registration context
    `String` | `getDescription()` Get the description from the registration context
    `String` | `getMessageLayer()` Get the layer name from the registration context
    `boolean` | `isPersistent()` Get the persisted status from the registration context.

- - ### Method Detail

    - #### getMessageLayer

          String getMessageLayer()

      Get the layer name from the registration context
      Returns:
        A String identifying the message layer for which the AuthConfigProvider was registered. The returned value may be null.

    - #### getAppContext

          String getAppContext()

      Get the application context identifier from the registration context
      Returns:
        A String identifying the application context for which the AuthConfigProvider was registered. The returned value may be null.

    - #### getDescription

          String getDescription()

      Get the description from the registration context
      Returns:
        The description String from the registration, or null if no description string was included in the registration.

    - #### isPersistent

          boolean isPersistent()

      Get the persisted status from the registration context.
      Returns:
        A boolean indicating whether the registration is the result of a className based registration, or an instance-based (for example, self-) registration. Only registrations performed using the five argument `registerConfigProvider` method are persistent.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.